package com.sptg.estate.biz.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.sptg.common.core.beans.ResultBean;
import com.sptg.estate.api.dto.CarDto;
import com.sptg.estate.api.entity.Car;

public interface CarServiceInterface extends IService<Car> {

    /**
     * 查询
     * @param dto
     * @return
     */
    ResultBean<Page<Car>> page(CarDto dto);

    /**
     * 新增
     * @param dto
     * @return
     */
    ResultBean<Boolean> add(CarDto dto);

    /**
     * 新增
     * @param dto
     * @return
     */
    ResultBean<Boolean> addByApp(CarDto dto);

    /**
     * 修改
     * @param dto
     * @return
     */
    ResultBean<Boolean> edit(CarDto dto);

    /**
     * 删除
     * @param dto
     * @return
     */
    ResultBean<Boolean> delete(CarDto dto);

}
